#
# spec file for package pommed
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pommed
Version:        1.39
Release:        2.18
Summary:        Apple laptops hotkeys event handler
License:        GPL-2.0
Group:          Hardware/Mobile
Url:            https://launchpad.net/pommed
Source0:        %{name}-%{version}.tar.bz2
Source1:        pommed.service
Source2:        gpomme.desktop
Source3:        gpommerc
Source5:        pommed.conf
# PATCH-FIX-UPSTREAM pommed-desktop.patch idoenmez@suse.de -- Update desktop categories
Patch1:         pommed-desktop.patch
# PATCH-FIX-OPENSUSE pommed-1.38-cflags.patch idoenmez@suse.de -- Respect our cflags
Patch2:         pommed-1.38-cflags.patch
# PATCH-FIX-OPENSUSE pommed-1.38-hardcoded-libpci.patch idoenmez@suse.de -- Remove hardcoded static pci library
Patch3:         pommed-1.38-hardcoded-libpci.patch
# PATCH-FIX-UPSTREAM pommed-dbus_policy.patch ro@novell.com -- bnc#469771
Patch4:         pommed-dbus_policy.patch
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libconfuse)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
Requires:       eject
Requires(post): update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
%{?systemd_requires}

%description
pommed handles the hotkeys found on the Apple MacBook Pro, MacBook and
PowerBook laptops and adjusts the LCD backlight, sound volume, keyboard
backlight or ejects the CD-ROM drive accordingly.

pommed also monitors the ambient light sensors to automatically light
up the keyboard backlight on the MacBook Pro and PowerBook.

Optional support for the Apple Remote control is available.

%package -n gpomme
Summary:        Graphical client for pommed
Group:          Hardware/Mobile
Requires:       dbus-1
Requires:       pommed

%description -n gpomme
pommed handles the hotkeys found on the Apple MacBook Pro, MacBook and
PowerBook laptops and adjusts the LCD backlight, sound volume, keyboard
backlight or ejects the CD-ROM drive accordingly.

gpomme is a graphical client for pommed. It listens for signals sent by
pommed on DBus and displays the action taken by pommed along with the
current state associated to this action.

%package -n wmpomme
Summary:        WindowMaker dockapp client for pommed
Group:          Hardware/Mobile
Requires:       dbus-1
Requires:       pommed

%description -n wmpomme
pommed handles the hotkeys found on the Apple MacBook Pro, MacBook and
PowerBook laptops and adjusts the LCD backlight, sound volume, keyboard
backlight or ejects the CD-ROM drive accordingly.

wmpomme is a dockapp client for pommed. It displays the current level
of each item controlled by pommed.

%prep
%setup -q
%patch1
%patch2 -p1
%patch3 -p1
%patch4

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_sbindir} %{buildroot}/%{_sysconfdir}/dbus-1/system.d
mkdir -p %{buildroot}/%{_unitdir} %{buildroot}/%{_unitdir}/multi-user.target.wants
mkdir -p %{buildroot}/%{_datadir}/{applications,autostart,icons,pixmaps,gpomme,locale}
mkdir -p %{buildroot}/%{_mandir}/man1 %{buildroot}/%{_datadir}/kde4/config
install -m 755 pommed/pommed          %{buildroot}/%{_sbindir}
install -m 644 dbus-policy.conf   %{buildroot}/%{_sysconfdir}/dbus-1/system.d/pommed.conf
install -m 644 %{SOURCE5}    %{buildroot}/%{_sysconfdir}/pommed.conf
install -m 644 %{SOURCE1}      %{buildroot}%{_unitdir}/pommed.service
ln -s service %{buildroot}/%{_sbindir}/rcpommed
install -m 644 pommed.1               %{buildroot}/%{_mandir}/man1
# gpomme
install -m 755 gpomme/gpomme          %{buildroot}/%{_bindir}
install -m 644 gpomme/gpomme.1        %{buildroot}/%{_mandir}/man1
install -m 644 gpomme/*.desktop       %{buildroot}/%{_datadir}/applications
install -m 644 icons/gpomme*          %{buildroot}/%{_datadir}/icons
install -m 644 icons/gpomme_32x32.xpm %{buildroot}/%{_datadir}/pixmaps/gpomme.xpm
cp -a gpomme/themes                   %{buildroot}/%{_datadir}/gpomme
rm -rfv %{buildroot}/%{_datadir}/gpomme/themes/src
for mo in gpomme/po/*.mo ; do
    lang=`basename $mo .mo`
    filename="gpomme.mo"
    install -d %{buildroot}/%{_datadir}/locale/$lang/LC_MESSAGES
    install -m 644 $mo %{buildroot}/%{_datadir}/locale/$lang/LC_MESSAGES/$filename
done
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/autostart
install -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/kde4/config
# wmpomme
install -m 755 wmpomme/wmpomme        %{buildroot}/%{_bindir}
install -m 644 wmpomme/wmpomme.1      %{buildroot}/%{_mandir}/man1
%suse_update_desktop_file %{buildroot}/%{_datadir}/applications/gpomme-c.desktop
%suse_update_desktop_file %{buildroot}/%{_datadir}/applications/gpomme.desktop
# enable videoswitch
mkdir -p %{buildroot}/%{_sysconfdir}/pommed
install -m 644 icons/gpomme_32x32.xpm %{buildroot}/%{_datadir}/icons/wmpomme.xpm
install -m 644 icons/gpomme_32x32.xpm %{buildroot}/%{_datadir}/pixmaps/gpomme.xpm

%fdupes -s %{buildroot}
%find_lang gpomme

%pre
%service_add_pre %{name}.service

%post
%service_add_post %{name}.service

%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service

%post -n gpomme
%desktop_database_post
%icon_theme_cache_post

%postun -n gpomme
%icon_theme_cache_postun
%desktop_database_postun

%post -n wmpomme
%icon_theme_cache_post

%postun -n wmpomme
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS README TODO COPYING
%config(noreplace) %{_sysconfdir}/pommed.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/pommed.conf
%{_sbindir}/pommed
%{_sbindir}/rcpommed
%{_mandir}/man1/po*
%{_unitdir}/%{name}.service

%files -n gpomme -f gpomme.lang
%defattr(-,root,root)
%{_bindir}/gpomme
%{_datadir}/applications/*.desktop
%{_datadir}/icons/gp*
%{_datadir}/pixmaps/gp*
%{_datadir}/gpomme
%{_datadir}/autostart
%dir %{_datadir}/kde4
%{_datadir}/kde4/config
%{_mandir}/man1/gpo*

%files -n wmpomme
%defattr(-,root,root)
%{_bindir}/wmpomme
%{_datadir}/icons/wm*
%{_mandir}/man1/wmpo*

%changelog
* Thu Jun  2 2016 tchvatal@suse.com
- Cleanup a bit to have up-to-date spec-file
- Update url to point to some existing page with repository
* Wed Sep 12 2012 alinm.elena@gmail.com
- removed init.d script and added a systemd service file
- symlinked pommed.service so it starts by default.
- removed rpmlint filter... we do not install in kde3 anymore
- added a resonable settings, pommed.conf, works fine on my MBP7,1
* Thu Jun  2 2011 idonmez@novell.com
- Update to version 1.39 to fix kernel 2.6.39 compatibility
* Sat May  7 2011 idoenmez@novell.com
- pommed.init: Remove 4 from default start per rpmlint warning
- Re-enable as-needed support now that it works
- Update to version 1.38
- Changes:
    version 1.38:
  - pommed: add support for the Early 2011 MacBook Pro:
    MacBookPro8,1 (13"), MacBookPro8,2 (15"), MacBookPro8,3 (17").
  - pommed: add acpi_video0 as a possible sysfs backlight driver.
  - pommed: allow disabling audio support entirely.
    version 1.37:
  - pommed: fix oversight in applesmc probing change.
  - pommed: prefer nvidia_bl over Nouveau.
  - pommed: add new option to fade keyboard backlight instead of
    switching off when idle. From Alex Launi <alex.launi@canonical.com>.
    version 1.36:
  - pommed: probe for applesmc through /sys/class/hwmon.
  - pommed: add support for the MacBook7,1 (April 2010).
  - all: use LDLIBS instead of adding libraries to LDFLAGS.
  - pommed: fix keyboard backlight fading on pmac.
  - pommed: lock/unlock auto kbd backlight using up/down keys.
  - pommed: add ADB product IDs for ANSI and JIS keyboard variants.
    version 1.35:
  - pommed: fix crash if no fnmode sysfs node found.
  - pommed: add support for the MacBookAir3,1 & 3,2 (October 2010).
    version 1.34:
  - pommed: be more careful when invoking eject (Alioth #312213).
  - pommed: add the nouveau sysfs backlight driver.
    version 1.33:
  - pommed: added support for the MacBook6,1 (October 2009).
  - pommed: added support for the MacBookPro6,1 & 6,2 (Core i5/i7,
    April 2010).
  - pommed: kill PCI device check in nv8600mgt.
  - pommed: added support for the MacBookPro7,1 (13", Core2 Duo,
    April 2010). Requires a patched nvidia-bl module for backlight
    support at the moment.
  - gpomme: replaced Glade with hardcoded GTK+ code.
    version 1.32:
  - pommed: add the rivabl sysfs backlight driver for older 12"
    PowerBook G4 laptops. Reported by Nic Boet.
    version 1.31:
  - pommed: add IDs for newer wireless keyboard.
  - pommed: add the MacBookPro5,4 (15" June 2009).
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Tue Nov 17 2009 meissner@suse.de
- rediffed for fuzz=0
* Wed Nov 11 2009 ro@suse.de
- update to 1.30:
  - pommed: fix a crasher in the i2c probe routine on pmac.
  - pommed: fix sysfs backlight driver to handle > 3-digit values.
- update to 1.29:
  - pommed: add support for newer nvidia backlight driver which
  changed the sysfs layout.
  - pommed: move VT state checking to pommed, exposed over DBus.
  - gpomme: switch to asking pommed for the state of the VT.
  - wmpomme: switch to asking pommed for the state of the VT.
- update to 1.28:
  - pommed: added support for the MacBookPro5,3 (15" MacBookPro
  June 2009)
* Sat Aug  1 2009 lrupp@suse.de
- update to 1.27:
  - pommed:
  + added support for the MacBook5,2 (white MacBook).
  + added support for the MacBookPro5,5
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Sun May 24 2009 ro@suse.de
- update to 1.26
  - pommed: only keystrokes on the built-in keyboard should reset
    the keyboard idle timer.
  - pommed: add USB IDs for the Apple external aluminium mini
    keyboard.
  - pommed: switch to sysfs resource files for PCI memory access
    instead of mmaping /dev/mem.
- update to 1.25
  - pommed: check current hardware backlight level before setting AC
    or battery level. Do not act if the backlight is off.
  - pommed: do not reject the Apple Bluetooth keyboard because of
    advertised EV_ABS events.
  - pommed: fix DBus configuration snippet for newer, stricter
    version of DBus (allow clients to send messages).
- update to 1.24
  - pommed: add new path for fnmode setting for 2.6.28.
- update to 1.23
  - pommed: add backlight support for late 2008 laptops.
  - pommed: default to sysfs backlight driver for nVidia machines,
    with the mbp_nvidia_bl kernel driver; fall back to native
    nv8600mgt if not supported.
  - pommed: try to reconnect to DBus if DBus is not available at
    startup. Previously we would just drop it and live without DBus.
* Tue Jan 27 2009 ro@suse.de
- dbus-policy: add send_destination rule (bnc#469771)
* Tue Nov 11 2008 lrupp@suse.de
- update to 1.22:
  + pommed:
  ++ do not probe for LMU controller on pmac machines that do not
    have a backlit keyboard. Avoids a spurious error message.
  ++ factor out ADB & LMU write routines, avoids duplicated code in
    the kbd_{lmu,pmu}_backlight_set() routines.
  ++ use a common sysfs power class routine in power.c, add sysfs
    power class support for pmac machines.
  ++ added partial support for the October 2008 laptops (MacBook5,1,
    MacBookPro5,1, MacBookAir2,1), LCD backlight missing.
  + gpomme:
  ++ add japanese translation for gpomme, courtesy of
    Nobuhiro Iwamatsu
  + wmpomme:
  ++ turn wmpomme into an event-driven dockapp, eliminating the
    fixed update rate (and, thus, wakeups).
    Thanks to Kalle A. Sandström for the prodding.
- removed dbus-1-devel BuildReq (included in dbus-1-glib-devel)
* Fri Oct 17 2008 olh@suse.de
- add ExclusiveArch x86 x86_64
* Thu Sep  4 2008 ro@suse.de
- add Required-Stop to init script
* Mon Jul 21 2008 lrupp@suse.de
- update to 1.21:
  + Note that this version of pommed REQUIRES Linux 2.6.25 or
    later and WILL NOT WORK PROPERLY on earlier kernels
  + pommed: add support for the MacBookPro4,1.
  + pommed: add support for the MacBook4,1.
  + pommed: add support for the WellSpring keyboard+trackpad
    assembly ("MultiTouch"), found in the MacBookAir1,1 and
  MacBookPro4,1
  + fix array boundary check in check_machine_dmi().
  + use BUS_BLUETOOTH for the Apple wireless keyboard
  + gpomme: won't cause 10 wakeups/sec anymore
  + gpomme: use compositing if available, patch by Soeren Sonnenburg
- create the desktop icons after fdupes (otherwise they will
  be stale symlinks)
- remove libsmbios build dependency
- split the patch into it's pieces
* Sun Feb 24 2008 crrodriguez@suse.de
- use RPM_OPT_FLAGS
* Tue Feb 12 2008 ro@suse.de
- update to 1.15:
  - pommed: add preliminary support for the MacBook Air1,1;
    USB IDs missing.
  - pommed: add support for power_supply class to the ACPI code.
- remove symlink to grandr (dropped from xorg-x11)
* Thu Jan 17 2008 lrupp@suse.de
- update to 1.14:
  + fix error handling in the audio sample loading code to properly
    report failure, preventing nasty segfaults later on in case the
    sound file is not available.
  + make goutte.wav the default beep sound, add click.wav and remove
    the KDE beep sound.
  + add an option to disable the beep on volume change
  + add the videoSwitch DBus notification
  + add support for LCD backlight control on the Intel 965GM
    found in the MacBook3,1
  + rework the inotify code to handle several events at once and to
    handle events with long filenames (longer than
    sizeof(struct inotify_event)); pommed could enter a busy-loop
    when receiving an inotify event with
    ie->len > sizeof(struct inotify_event)
  + wpomme: added video switch support
  + gpomme: added video switch support
  + do not expect at least 3 evdevs at startup
  + adds partial support for the new MacBook Santa Rosa (MacBook3)
  + fixes bug with disappearing event devices after suspend
  + external Apple USB keyboards are now supported
  + beep on volume change per default
  + rework the event management.
    Use epoll() for event polling instead of poll().
  + add secondary locations for the uinput device node.
  + pommed: add a beeper feature as a substitute to the missing PC
    Speaker. The feature is disabled by default, as not all
    machines need it and not everybody wants it.
- added gpomme.desktop and gpommerc to start gpomme via KDE
- added %%pre and %%post scripts for pommed
- use fdupes to save space
- use /usr/bin/grandr for videoswitch option
- added README.SuSE for applesmc kernel module
- fix lang files so gpomme is tranlated
* Mon Sep 17 2007 ro@suse.de
- created package from pommed (version 1.9)
